#!/bin/sh

echo "Building website"
docker build -t website --platform linux/amd64 .

echo "Tagging and pushing website"
docker tag website azura:5000/website
docker push azura:5000/website

echo "Pushed website to registry"

echo "Deploying website"
ssh azura "cd server && docker compose pull && docker compose up -d"
